Skip to main content
`Ctrl`+`K`

# DMPlexCreateEphemeral

This takes a `DMPlexTransform` and a base `DMPlex` and produces an ephemeral `DM`, meaning one that is created on the fly in response to queries.

## Synopsis

    #include "petscdmplex.h"
    #include "petscdmplextransform.h"
    PetscErrorCode DMPlexCreateEphemeral(DMPlexTransform tr, const char prefix[], DM *dm)

## Input Parameters

- tr - The `DMPlexTransform`

- prefix - An options prefix, or NULL

## Output Parameter

- dm - The `DM`

## Notes

An emphemeral mesh is one that is not stored concretely, as in the default `DMPLEX` implementation, but rather is produced on the fly in response to queries, using information from the transform and the base mesh.

## See Also

`DMPlexCreateFromFile`, `DMPlexCreateFromDAG()`, `DMPlexCreateFromCellListPetsc()`, `DMPlexCreate()`

## Level

beginner

## Location

src/dm/impls/plex/plexcreate.c

## Examples

src/dm/label/tutorials/ex1.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages